/*
=============================================
Author      : <ยุทธภูมิ ตวันนา>
Create date : <๑๒/๑๑/๒๕๖๓>
Modify date : <๓๐/๐๕/๒๕๖๕>
Description : <>
=============================================
*/

@import "../../styles.scss";

.schedule-view {
    max-width: 992px;
    margin-right: auto;
    margin-left: auto;
}

.schedule-view .tab-content {
    border-top: 5px solid #2cc185;
    background: rgba(44, 193, 133, 0.1);
    padding: 0 1rem 0.5rem;
    -webkit-box-shadow: 0 13px 35px rgba(0, 0, 0, 0.1);
    -moz-box-shadow: 0 13px 35px rgba(0, 0, 0, 0.1);
    box-shadow: 0 13px 35px rgba(0, 0, 0, 0.1);
    overflow: hidden;
}

.schedule-view .tabset .nav-tabs {
    display: block !important;
    border-bottom-width: 0 !important;
}

.schedule-view .tabset .nav-tabs .nav-item {
    display: inline-block !important;
    width: 192px;
    height: 45px;
    margin-right: 0;
    margin-bottom: 0;
}

.schedule-view .tabset .nav-tabs .nav-link {
    line-height: 1.6 !important;
    font-size: 1.2rem;
}

.schedule-view .tabset .nav-tabs .nav-link,
.schedule-view .tabset .nav-tabs .nav-link:focus {
    box-shadow: 0 0 0 transparent;
    height: inherit;
    background: #e08f24;
    font-size: inherit;
}

.schedule-view .tabset .nav-tabs .nav-link.active,
.schedule-view .tabset .nav-tabs .nav-item.show .nav-link {
    box-shadow: 0 0 0 transparent;
    margin-right: 0;
    font-size: inherit;
}

@media screen and (max-width: 625px) {
    @include tabset-responsive('.schedule-view.tabset-wrap-item3');
}

@media screen and (max-width: 447px) {
    @include tabset-responsive(".schedule-view.tabset-wrap-item2");
}

@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
    @media screen and (max-width: 626px) {
        @include tabset-responsive(".schedule-view.tabset-wrap-item3");
    }

    @media screen and (max-width: 448px) {
        @include tabset-responsive(".schedule-view.tabset-wrap-item2");
    }
}

.schedule-view .section-schedule-info .jumbotron {
    background: rgba(255, 255, 255, 1);
    margin-bottom: 5px;
    border-radius: 16px;
    box-shadow: 0 8px 6px -6px rgba(50, 51, 51, 0.1);
    padding: 1rem 1rem 0.5rem 1rem;
}

.schedule-view .section-schedule-info .jumbotron:first-child {
    border-top-right-radius: 0;
    border-top-left-radius: 0;
}

.schedule-view .section-schedule-info .time {
    /*
    background: rgba(239, 165, 6, .1);
    */
    font-family: sans-serif;
    font-weight: 600;
    /*
    padding: 0.4rem 0.6rem;
    */
    padding: 0;
    border-radius: 0;
}

.schedule-view .date-card.card.start {
    border: 1px solid rgb(40, 167, 69);
}

.schedule-view .date-card.card.start .card-header {
    background: rgb(40, 167, 69);
}

.schedule-view .section-schedule-info .jumbotron .d-table {
    table-layout: fixed;
}

.schedule-view .section-schedule-info .jumbotron .col-datetime {
    width: 170px;
    min-width: 170px;
}

.schedule-view .section-schedule-info .jumbotron .col-lesson {
    width: 100%;
    vertical-align: top;
    word-wrap: break-word;
}

.schedule-view .section-schedule-info .jumbotron .col-lesson .title {
    background: rgba(255, 255, 255, 0.85);
    padding: 1rem 1.5rem 0.81rem 1.8rem;
    border-radius: 8px;
}

.schedule-view .section-schedule-info .jumbotron .col-lesson .title .lessonname {
    line-height: 1.2;
}

.schedule-view .section-schedule-info .jumbotron .col-lesson .title .timeby .time {
    width: 86px;
    overflow: hidden;
}

.schedule-view .section-schedule-info .jumbotron .col-lesson .title .timeby .by .by-info {
    width: 26px;
    min-width: 26px;
}

.schedule-view .section-schedule-info .jumbotron .col-lesson .type span + span {
    position: relative;
    top: -3px;
}

@media screen and (max-width: 600px) {
    .schedule-view .section-schedule-info .jumbotron {
        padding-bottom: 1rem !important;
    }

    .schedule-view .section-schedule-info .jumbotron .col-datetime {
        width: 91px;
        min-width: 91px;
    }

    .schedule-view .section-schedule-info .jumbotron .col-datetime .float-left {
        clear: both;
        display: block;
        margin-left: 0 !important;
    }

    .schedule-view .section-schedule-info .jumbotron .col-datetime .float-left + .float-left {
        margin-top: 0.5rem;
    }

    .schedule-view .section-schedule-info .jumbotron .col-lesson .title .timeby .time,
    .schedule-view .section-schedule-info .jumbotron .col-lesson .title .timeby .by {
        display: block !important;
    }

    .schedule-view .section-schedule-info .jumbotron .col-lesson .title .timeby .by {
        padding-left: 0.1rem !important;
    }
}
